Last Comment Bug 689367 - layout/build/nsLayoutModule.cpp:761:1: warning: 'kNS_CANVASRENDERINGCONTEXT2DAZURE_CID' defined but not used
: layout/build/nsLayoutModule.cpp:761:1: warning: 'kNS_CANVASRENDERINGCONTEXT2D...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Daniel Holbert [:dholbert] (largely AFK until June 28)
:
Mentors:
https://tbpl.mozilla.org/php/getParse...
Depends on:
Blocks: buildwarning 651858
  Show dependency treegraph
 
Reported: 2011-09-26 16:39 PDT by Daniel Holbert [:dholbert] (largely AFK until June 28)
Modified: 2011-12-02 03:20 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix: remove unused CID (2.15 KB, patch)
2011-09-26 16:43 PDT, Daniel Holbert [:dholbert] (largely AFK until June 28)
bas: review+
Details | Diff | Review

Description Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-09-26 16:39:09 PDT
bug 651858 added NS_CANVASRENDERINGCONTEXT2DAZURE_CID and a "NS_DEFINE_NAMED_CID()" line for it, as shown here:
   https://hg.mozilla.org/mozilla-central/rev/a8171812fe05#l6.2
... but it never uses it beyond those two lines, as shown here:
https://mxr.mozilla.org/mozilla-central/search?string=CANVASRENDERINGCONTEXT2DAZURE_CID&find=&findi=&filter=^[^\0]*%24&hitlimit=&tree=mozilla-central

(compare to e.g. the same search with s/2DAZURE/WEBGL/, which turns up 3 usages:
https://mxr.mozilla.org/mozilla-central/search?string=NS_CANVASRENDERINGCONTEXTWEBGL_CID
)

It looks like we never needed this CID and can delete it. (unless we should perhaps be using it but forgot to?)
Comment 1 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-09-26 16:40:41 PDT
I noted in the bug title but forgot to mention in comment 0 -- this bug triggers the following build warning:
> layout/build/nsLayoutModule.cpp:761:1: warning: 'kNS_CANVASRENDERINGCONTEXT2DAZURE_CID' defined but not used
https://tbpl.mozilla.org/php/getParsedLog.php?id=6559103&tree=Firefox
Comment 2 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-09-26 16:43:45 PDT
Created attachment 562584 [details] [diff] [review]
fix: remove unused CID

This patch just removes the unused CID.

(Bas, let me know (and feel free to take this) if there's something else that needs to be done here.)
Comment 3 Bas Schouten (:bas.schouten) 2011-10-28 08:32:46 PDT
Comment on attachment 562584 [details] [diff] [review]
fix: remove unused CID

Review of attachment 562584 [details] [diff] [review]:
-----------------------------------------------------------------

Looks right to me!
Comment 4 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-12-01 11:20:29 PST
Oops, I somehow missed that this got r+. :)  Sorry for delay in landing.

After I do a sanity-check to be sure this still builds, I'll push.
Comment 5 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-12-01 14:42:10 PST
Landed: https://hg.mozilla.org/integration/mozilla-inbound/rev/6f440ff5247f

BTW, I have the 'eol' hg extension on the machine I'm pushing from, and that caught & fixed some DOS line-endings in 3 lines of contextual code (for NS_CANVASRENDERINGCONTEXT2DTHEBES_CID) when I did a final qref on the patch.  (those were the only lines with DOS line-endings in the whole file)

I left that line-ending-fix in the patch when pushing, since it doesn't affect behavior and DOS line endings are evil.
Comment 6 Marco Bonardo [::mak] 2011-12-02 03:20:04 PST
https://hg.mozilla.org/mozilla-central/rev/6f440ff5247f

Note You need to log in before you can comment on or make changes to this bug.